{#
# Reusable Utility Class
# ---------------
#
# Proper Implementation:
# {{ atoms.button("Get a Demo", "buttonPS", "padding:20px 30px 15px; border-radius: 0.313rem;") }}
#
#
#}


{# ----- Available Macros ----- #}


{% macro button(content, class="buttonPL", style) %}
	<button class={{class}} {% if style|length %}style="{{style}}" {% endif %}>{{content}}</button>
{% endmacro %}

{# class options: .buttonPL, .buttonSS #}

{% macro card(content, class="cardLight", style, html="false" ) %}
	<figure class="{{ class }}" {% if style|length %}style="{{style}}" {% endif %}>{% if html == "true" %} {{content|raw}}
		{%
			else %} {{content}} {% endif %} </figure>
{% endmacro %}

{# class options: .cardLight, .cardMed, .cardHeavy #}

{% macro iconCTA(icon, alt, subheader, content, class="icon-callout") %}
	<section class="{{ class }}">
		<img src="{{ icon }}" alt="{{ alt }}">
		<h6>{{ subheader }}</h6>
		<p>{{ content }}</p>
	</section>
{% endmacro %}